%global qt_module qtconnectivity
%global majmin %%(echo %{version} | cut -d. -f1-2)
%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

Summary: Qt5 - Connectivity components
Name:    qt5-%{qt_module}
Version: 5.15.10
Release: 1%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://qt.io
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

Patch3000: %{name}-gcc11.patch

BuildRequires: make qt5-qtbase-devel qt5-qtbase-private-devel qt5-qtdeclarative-devel pkgconfig(bluez)
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
Qt5 - Connectivity components.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release} qt5-qtbase-devel
Provides: %{name}-examples = %{version}-%{release}

%description devel
Qt5 - Connectivity components.

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt5_bindir}
ln -v sdpscanner %{buildroot}%{_bindir}/sdpscanner
popd

pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%files
%license LICENSE.GPL* LICENSE.LGPL*
%{_bindir}/sdpscanner
%{_qt5_bindir}/sdpscanner
%{_qt5_libdir}/libQt5Bluetooth.so.5*
%{_qt5_archdatadir}/qml/QtBluetooth/
%{_qt5_libdir}/libQt5Nfc.so.5*
%{_qt5_archdatadir}/qml/QtNfc/

%files devel
%{_qt5_headerdir}/QtBluetooth/
%{_qt5_libdir}/libQt5Bluetooth.so
%{_qt5_libdir}/libQt5Nfc.so
%{_qt5_libdir}/libQt5Bluetooth.prl
%dir %{_qt5_libdir}/cmake/Qt5Bluetooth/
%{_qt5_libdir}/cmake/Qt5Bluetooth/Qt5BluetoothConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Bluetooth.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_bluetooth*.pri
%{_qt5_headerdir}/QtNfc/
%{_qt5_libdir}/libQt5Nfc.prl
%dir %{_qt5_libdir}/cmake/Qt5Nfc/
%{_qt5_libdir}/cmake/Qt5Nfc/Qt5NfcConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Nfc.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_nfc*.pri
%{_qt5_examplesdir}/


%changelog
* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.7-1
- initial build
